Authorization
x-api-key API key from Dashboard → Account → Integrations. Prefer a dedicated key for Muse / agents. Keys look like tlol_sk_api_access_… (other tlol_sk_* role keys also work for REST). Example:
curl "https://transcript.lol/api/v1/me" \
-H "x-api-key: tlol_sk_api_access_YOUR_KEY"
In: header
Path Parameters
ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.
Request Body
application/json
Recording options
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://transcript.lol/api/v1/spaces/string/recordings" \ -H "Content-Type: application/json" \ -d '{ "title": "My Audio", "language": "en", "mediaType": "AUDIO", "source": "UNKNOWN" }'{
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"workspaceId": "string",
"title": "string",
"sourceUrl": "string",
"mediaType": "AUDIO",
"source": "string",
"duration": 0,
"status": "MEDIA_IMPORT_UPLOADING",
"recordingFolderId": "string",
"isMediaDeleted": true,
"createdById": "string",
"autoDeleteMediaAfter": "string"
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}{
"error": "string",
"errorDetails": {}
}